<?
 /*SCRIPT PARA MANTENIMIENTO DE GASTOS*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
 
  include("../fnc.php");
  enlinea_a();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
  
    case "Add":
               $tmpfecha=explode("/",$txtfecha);
               if(checkdate($tmpfecha[1],$tmpfecha[0],$tmpfecha[2])){
                 $nfecha="{$tmpfecha[2]}-{$tmpfecha[1]}-{$tmpfecha[0]}";
               }
               $sql="insert into pr_gastos
                     set 
                     fecha='$nfecha',
                     descripcion='$txtdescripcion',
                     valor='$txtvalor',
                     tipo_gasto = '$txttipogasto'";
               //echo $sql;
               $res=mysql_query($sql);
               header("Location: ./frm_pr_gastos.php");
    break;
    
    case "Update":
               $id_ga=dec($idga);
               $tmpfecha=explode("/",$txtfecha);
               if(checkdate($tmpfecha[1],$tmpfecha[0],$tmpfecha[2])){
                 $nfecha="{$tmpfecha[2]}-{$tmpfecha[1]}-{$tmpfecha[0]}";
               }
               $sql="update pr_gastos
                     set 
                     fecha='$nfecha',
                     descripcion='$txtdescripcion',
                     valor='$txtvalor',
                     tipo_gasto = '$txttipogasto'
                     where 
                     id = '$id_ga'";
               //echo $sql;
               $res=mysql_query($sql) or die(mysql_error());
               header("Location: ./frm_pr_gastos.php");
    break;
    
    case "Delete":
               $id_ga=dec($idga);
               $sql="delete from pr_gastos where id = $id_ga";
               //echo $sql;
               $res=mysql_query($sql);
               header("Location: ./frm_pr_gastos.php");
    break;
    
    default: header("Location: ./inicio.php");
  }
?>
